about summary refs log tree commit diff
path: root/kittybox-rs/dev.sh
diff options
context:
space:
mode:
Diffstat (limited to 'kittybox-rs/dev.sh')
-rwxr-xr-xkittybox-rs/dev.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/kittybox-rs/dev.sh b/kittybox-rs/dev.sh
new file mode 100755
index 0000000..fa39dcc
--- /dev/null
+++ b/kittybox-rs/dev.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+export RUST_LOG="info,kittybox=debug,retainer::cache=warn,h2=warn,rustls=warn"
+export BACKEND_URI=file://./test-dir
+export TOKEN_ENDPOINT=https://tokens.indieauth.com/token
+export AUTHORIZATION_ENDPOINT=https://indieauth.com/auth
+export COOKIE_SECRET=1234567890abcdefghijklmnopqrstuvwxyz
+#export COOKIE_SECRET_FILE=/dev/null
+if [[ "$1" == "watch" ]]; then
+	shift
+	exec systemfd --no-pid -s http::8080 -- cargo watch -x run "$@"
+elif [[ "$1" == "run" ]]; then
+	shift 1
+	exec cargo run "$@"
+else
+	echo "Usage: ./dev.sh [watch|run]"
+	exit 1
+fi